Skip to main content
Resource Center/Network Resource/Route Resource Operations
GETRoute Resource OperationsSince 0.6SynchronousAuth Required

QueryVirtualRouterOffering

QueryVirtualRouterOffering

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • managementNetworkUuidStringRequired

      No description provided.

    • publicNetworkUuidStringRequired

      No description provided.

    • zoneUuidStringRequired

      The zone UUID.

    • isDefaultBooleanRequired

      是否默认。

    • imageUuidStringRequired

      The image UUID.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • cpuNumIntegerRequired

      No description provided.

    • cpuSpeedIntegerRequired

      No description provided.

    • memorySizeLongRequired

      内存大小。

    • typeStringRequired

      类型。

    • allocatorStrategyStringRequired

      No description provided.

    • sortKeyIntegerRequired

      排序键。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      当前状态。

Endpoint

GET/zstack/v1/instance-offerings/virtual-routers

/zstack/v1/instance-offerings/virtual-routers

Operation ID

QueryVirtualRouterOffering

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/instance-offerings/virtual-routers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "managementNetworkUuid": "6d5e54344898416c9a20a104341c82d5", "publicNetworkUuid": "c6a23a0ed6ad4337a35d8a946694f8ea", "zoneUuid": "a12ffae2039847a8b9046478ad03fecd", "isDefault": true, "imageUuid": "ca56a16b15bb47c0a26055e28d1e621f", "name": "VirtualRouter-Offering", "cpuNum": 2.0, "cpuSpeed": 1.0, "memorySize": 1024.0, "type": "VirtualRouter" } ] }

Change History

This API has no change history records yet.

View all change history